ELMLIBREGISTER(1L)

NAME
elmlibregister - Registry of elm libraries to use-library line on elm.rc

SYNOPSIS
/usr/local/lib/elm/elmlibregister [ -G -d class=debugfile:level -I -w target-file ] [ libtags... ]

DESCRIPTION
Elmlibregister is a part of the Elm 2.4ME+ mail system. Elmlibregister checks that libraries given on use-library on elm.rc (or on .elm/elmrc) are loadable. Configure asks which libraries should be registered on on (post-)install time. Elmlibregister command is used to add these libraries to use-library line on global elm.rc.

Options are:

-G  Read global configuration files only (by default user configuration files are read.)

-d class=debugfile:level
    Debug - set specified debug level - Output to "$HOME/ELMLIBREGISTER:debug.info" if debugfile is not given. Has no effect unless elmrc-write was compiled with debugging enabled.

-w target-file
    Gives file for output.

-I  Use system RC file (/usr/local/etc/mail/elm/elm.rc) or individual RC file ($HOME/.elm/elmrc) as target file.

AUTHOR
Kari Hurtta

FILES
/usr/local/etc/mail/elm/elm.rc system RC file
$HOME/.elm/elmrc individual RC file

BUG REPORTS TO
Kari Hurtta    elm@elmme-mailer.org

COPYRIGHTS
Copyright 2003 by Kari Hurtta